const copy = require(copy)

// babel
const createIoingDemo = (callback, opts) => {
  let options = opts || process.argv.slice(2)
  let id = options[2]
  let type = options[1].replace(/^-+/, '')
  let time = Date.now()
  let tmp = options[3] || 'hello-world'
  let path = ''

  switch (type) {
    case 'module':
      id = id || 'new-module-' + time
      path = 'modules'
      break
    case 'components':
      id = id || 'new-components-' + time
      path = 'components'
    break
  }

  copy(__dirname + `/template/${path}/${tmp}/*`, `${path}/${id}`, function(err, files) {
    if (err) {
      return console.log(err)
    }
    if (type === 'module') {
      callback && callback(id, type)
    }
  })

  if (type === 'components') {
    createIoingDemo((id) => {
      callback && callback(id, type)
    }, [null, 'module', 'components-test-' + id, 'components::' + tmp]), id
  }

  return
}

module.exports = createIoingDemo
